<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
<xsl:output method="html" omit-xml-declaration="yes"/>  
<xsl:param name="param1"/>

<xsl:template match="widgets">

 <xsl:apply-templates select="widget"/> 
 
</xsl:template>

<xsl:template match="widget">
<div >
<div ><xsl:value-of select="@name" /></div>
<table width="490" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td width="60" valign="top">Web</td>
    <td width="280" valign="top"><xsl:apply-templates select="url"/></td>
    <td width="150" rowspan="4" valign="top"><xsl:apply-templates select="sitegraphic"/></td>
  </tr>
  <tr>
    <td valign="top">Email</td>
    <td valign="top"><xsl:apply-templates select="email"/></td>
    </tr>
 
  <tr>
    <td valign="top">About</td>
    <td valign="top"><xsl:apply-templates select="descrip"/></td>
    </tr>
	<tr>
    <td> </td>
    <td> </td>
    </tr>
</table>

</div>
<br/><br/>
	
</xsl:template>
<xsl:template match="url">
<a href="http://{.}"><xsl:value-of select="." /></a>
</xsl:template>
<xsl:template match="email">
<a href="mailto:{.}"><xsl:value-of select="." /></a>
</xsl:template>
<xsl:template match="sitegraphic">
<img src="{.}" alt="{@alt}" width="150" height="112" />
</xsl:template>
<xsl:template match="descrip">
<xsl:value-of select="." />
</xsl:template>
</xsl:stylesheet>
